// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#include "IOInterfaceList.h"
#define THISCLASS IOInterfaceList

IOInterface *THISCLASS::GetIOInterfaceNext(IOInterface *cur) {
	return (cur ? cur->mIOInterfaceNext : 0);
}

bool THISCLASS::AddIOInterface(IOInterface *sif) {
	if (! sif) {return true;}
	if (sif->mIOInterfaceList) {return false;}
	sif->mIOInterfaceNext=mIOInterfaceFirst;
	sif->mIOInterfaceList=this;
	mIOInterfaceFirst=sif;
	return true;
}

bool THISCLASS::RemoveIOInterface(IOInterface *sif) {
	if (! sif) {return true;}
	if (sif->mIOInterfaceList!=this) {return false;}

	// If it is the first element in the list
	if (mIOInterfaceFirst==sif) {
		mIOInterfaceFirst=sif->mIOInterfaceNext;
			sif->mIOInterfaceList=0;
			sif->mIOInterfaceNext=0;
			return true;
	}

	// If it is any other element in the list
	IOInterface *cur=mIOInterfaceFirst;
	while (cur) {
		if (cur->mIOInterfaceNext==sif) {
			cur->mIOInterfaceNext=sif->mIOInterfaceNext;
			sif->mIOInterfaceList=0;
			sif->mIOInterfaceNext=0;
			return true;
		}
		cur=cur->mIOInterfaceNext;
	}

	return false;
}

void THISCLASS::Report(const std::string &name, std::ostream &out, int ccindent) const {
	std::string indent(ccindent*2, ' ');
	std::cout << indent << name << " = IOInterfaceList " << this << std::endl;

	int cc=0;
	IOInterface *cur=mIOInterfaceFirst;
	while (cur) {
		cc++;
		int fh=cur->GetFileHandle();
		std::cout << indent << "  " << cc << " = IOInterface " << cur << ": FileHandle " << fh << std::endl;
		cur=cur->mIOInterfaceNext;
	}
}
