// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#ifndef classIOInterfaceList
#define classIOInterfaceList

class IOInterfaceList;

#include "IOInterface.h"

//! Implements a linked list for IOInterface objets.
class IOInterfaceList {

protected:
	//! The first IOInterface object.
	IOInterface *mIOInterfaceFirst;

public:
	//! Constructor.
	IOInterfaceList(): mIOInterfaceFirst(0) {}

	//! Returns the first IOInterface object.
	IOInterface *GetIOInterfaceFirst() {return mIOInterfaceFirst;}
	//! Returns the next IOInterface object.
	IOInterface *GetIOInterfaceNext(IOInterface *cur);

	//! Adds an IOInterface to the list.
	bool AddIOInterface(IOInterface *sif);
	//! Removes an IOInterface from the list.
	bool RemoveIOInterface(IOInterface *sif);

	//! Writes a report of this object to the given stream. This is mainly useful for debugging.
	void Report(const std::string &name, std::ostream &out, int ccindent=0) const;
};

#endif
