//! The axis status flags as defined in the MIP documentation. These flags are returned by the ReadAxisStatus command.
enum eAxisStatusFlags {
	sAxisStatusMoving		= 0x1,		// motor is performing a trajectory
	sAxisStatusCteVel		= 0x2,		// motor is moving at const. Velocity
	sAxisStatusSinus		= 0x4,		// trajectory uses sinus acceleration
	sAxisStatusVelMode		= 0x8,		// the system is in velocity mode
	sAxisStatusCmdActive	= 0x10,		// a MCI command is running
	sAxisStatusWaitEnd		= 0x20,		// system waits until target reached
	sAxisStatusLoLimit		= 0x40,		// the software low limit is checked
	sAxisStatusHiLimit		= 0x80,		// the software high limit is checked
	sAxisStatusError		= 0x100,		// the system is in error state (see ReadError and ClearError)
	sAxisStatusWarning		= 0x200,		// a command produced a warning (see ReadWarning and ClearWarning)
	sAxisStatusCurReg		= 0x400,		// the current regulator is active
	sAxisStatusPosReg		= 0x800,		// the position regulator is active
	sAxisStatusReferenced	= 0x1000,	// the FindHome routine succeeded i.e. absolute position is known
	sAxisStatusHome			= 0x2000,	// the home switch is active
	sAxisStatusRight		= 0x4000,	// the right switch is active
	sAxisStatusLeft			= 0x8000	// the left switch is active
};
