// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#include "MipCommand.h"
#define	THISCLASS MipCommand
#include <stdio.h>

THISCLASS::MipCommand(int cmdid, MipTxMessage *txmsg):
	mID(cmdid), mMipDevice(0), mTxMessage(txmsg), mRxMessage(0), mStatus(sNone) {
}

THISCLASS::~MipCommand() {
	if (mRxMessage) {delete mRxMessage;}
	if (mTxMessage) {delete mTxMessage;}
}

void THISCLASS::SetCommandID(int id) {
	mID=id;
}

void THISCLASS::SetRxMessage(MipRxMessage *msg) {
	if (mRxMessage) {delete mRxMessage;}
	mRxMessage=msg;
}

void THISCLASS::SetTxMessage(MipTxMessage *msg) {
	if (mTxMessage) {delete mTxMessage;}
	mTxMessage=msg;
}

void THISCLASS::SetMipDevice(MipDevice *mipdevice) {
	mMipDevice=mipdevice;
}

void THISCLASS::SetStatus(eStatus status) {
	mStatus=status;
}

void THISCLASS::SetAck(unsigned char ack) {
	mAck=ack;
}
