//! The MIP error codes.
enum eError {
	sErrorNone=0,		//!< not in error state

	// Serious hardware failures
	sErrorCurofs0=1,	//!< Bad offset in current measurement MAX
	sErrorCurofs1=2,	//!< Bad offset in current measurement MAX
	sErrorHall=3,		//!< Bad hall signals combination MAX
	sErrorGatedrv=4,	//!< Gate driver : Undervoltage MAX
	sErrorNobrake=5,	//!< Braking failed (motor +/- reversal ?) MAX
	sErrorHwconfig=7,	//!< Hardware configuration error MAX
	sErrorEncoder=6,	//!< Bad encoder signal MID
	sErrorEncodersw=8,	//!< missing encoder signals (SW detection) MID
	sErrorDigovld=10,	//!< Digital output overload STD

	// Positioning errors
	sErrorUplimit=11,	//!< Target position out of upper bond STD
	sErrorLolimit=12,	//!< Target position out of lower bond STD
	sErrorPosreg=20,	//!< Position error too large STD
	sErrorLeft=21,		//!< Left switch encountered STD
	sErrorRight=22,		//!< Right switch encountered STD
	sErrorHome=23,		//!< Home switch not found STD
	sErrorIndex=25,		//!< Index not found STD

	// Safety errors
	sErrorAmpdisab=24,	//!< Amplifier has been disabled STD
	sErrorStop=40,		//!< Stop was activated MID
	sErrorHalt=42,		//!< Regulation stopped by 'Halt' command MID
	sErrorBrake=43,		//!< Motor braked by 'Brake' command STD
	sErrorCurmax=41,	//!< Motor current average to high STD
	sErrorOvrcur=44,	//!< Overcurrent on power stage STD
	sErrorOvrtemp=45,	//!< Overtemperature on power stage STD
	sErrorComwatch=46,	//!< Communication watchdog STD
	sErrorWatchdog=47,	//!< System watchdog (Firmware failure) MAX
	sErrorBatch=48		//!< Batch execution aborted STD
};
