// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#include "MipMessage.h"
#define	THISCLASS MipMessage
#include <stdio.h>

THISCLASS::MipMessage(int src, int dest, eType type):
	mDestination(dest), mSource(src), mType(type) {
}

void THISCLASS::SetDestination(int dest) {
    mDestination=dest;
}

void THISCLASS::SetSource(int src) {
    mSource=src;
}

void THISCLASS::SetType(eType type) {
    mType=type;
}

unsigned int THISCLASS::CalcCRC() {
	unsigned int carry;          // used as a boolean
	unsigned int crc = 0;
	int len=GetLength()-2;

	for (int i=0; i<len; i++) {
		unsigned char shifter = 0x80;
		unsigned char c = mData[i];
		do {
			carry = crc & 0x8000;
			crc <<= 1;
			if (c & shifter) {crc++;}
			if (carry) {crc ^= 0x1021;}
			shifter >>= 1;
		} while (shifter);
	}

	return crc;
}
