//! The MIP message types.
enum eType {
	sNone=0x00,

	// I. Exception functions
	sReset=0x08,
	sHalt=0x09,
	sBrake=0x0A,

	// II. Status and error handling
	sReadAxisStatus=0x0B,
	sReadError=0x0C,
	sClearError=0x0D,
	sReadWarning=0x0E,
	sClearWarning=0x0F,

	// III. System parameter settings functions
	sReadTempParam=0x10,
	sReadPermanentParam=0x11,
	sSetTempParam=0x12,
	sResetTempParam=0x14,
	sUpdatePermParam=0x15,
	sReadAllTempParam=0x16,
	sReadAllPermParam=0x17,
	sSetAllTempParam=0x18,
	sSetAllPermParam=0x19,
	sReadCurrentGains=0x1A,
	sSetCurrentGains=0x1B,
	sReadPositionGains=0x1C,
	sSetPositionGains=0x1D,
	sReadVersion=0x1F,

	// IV. Motion control functions
	sSetRegMode=0x20,
	sSetProfile=0x21,
	sSetPosVelocity=0x22,
	sSetWaitMode=0x23,
	sMoveAbsolute=0x24,
	sMoveRelative=0x25,
	sWaitForTargetPos=0x26,
	sSetVelocity=0x27,
	sStopMotion=0x28,
	sFindHomeSys=0x29,
	sFindHome=0x2A,
	sFindIndex=0x2B,
	sDefinePosition=0x2C,
	sWaitForPosition=0x2D,
	sReadIndexDistance=0x2E,
	sReadProfile=0x2F,

	// V. Motion information functions
	sReadPosition=0x30,
	sReadPositionMust=0x31,
	sReadPositionIsMust=0x32,
	sReadVelocity=0x33,
	sReadVelocityMean=0x34,
	sReadVelocityMust=0x35,
	sReadVelocityIsMust=0x36,
	sReadCurrent=0x37,
	sReadCurrentMean=0x38,
	sReadCurrentMust=0x39,
	sReadCurrentIsMust=0x3A,
	sReadPosVelCur=0x3B,
	sReadPosVelCurMean=0x3C,
	sReadPosVelCurMust=0x3D,
	sReadPosVelCurIsMust=0x3E,
	sReadAxisInfo=0x3F,

	// VI. Input / Output and miscellaneous functions
	sReadInput=0x40,
	sReadInputByte=0x41,
	sWaitForInput=0x42,
	sSetOutput=0x43,
	sSetOutputByte=0x44,
	sReadAnalogInput=0x45,
	sSetUserPWM=0x46,
	sReadSysTime=0x47,
	sWaitTime=0x48,
	sSetCurrent=0x49,
	sReadECStatus=0x4A,
	sReadMaxStack=0x4F,

	// VII. Serial input / output on RS232 port
	sPutString=0x4B,
	sGetString=0x4C,
	sPutNumber=0x4D,
	sGetNumber=0x4E,

	// VIII. Multi-axes functions
	sInitMoveAbsolute=0x50,
	sInitMoveRelative=0x51,
	sInitSetVelocity=0x52,
	sStartMovement=0x53,

	// IX. Autotuning functions
	sInitAutoTune=0x60,
	sAutotune=0x61,
	sSquareCurrentTest=0x62,

	// X. Recording functions
	sSetupRecorder=0x68,
	sRecordData=0x69,
	sReadNbOfSamples=0x6A,
	sReadRecordedData=0x6B,

	// XI. User parameter settings functions
	sReadAllTempUsr1Param=0x70,
	sReadAllPermUsr1Param=0x71,
	sSetAllTempUsr1Param=0x72,
	sSetAllPermUsr1Param=0x73,
	sReadAllTempUsr2Param=0x74,
	sReadAllPermUsr2Param=0x75,
	sSetAllTempUsr2Param=0x76,
	sSetAllPermUsr2Param=0x77,
	sCheckCRC=0x78
};
