// Copyright (c) 2004, Thomas Lochmatter, thl@lothosoft.ch

#include "MipTxMessage.h"
#define	THISCLASS MipTxMessage
#include <stdio.h>

THISCLASS::MipTxMessage(int src, int dest, eType type):
	MipMessage(src, dest, type), mWriteIndex(5) {
}

unsigned char *THISCLASS::GetPacket() {
	WriteHeader();
	WriteCRC();
	return mData;
}

void THISCLASS::WriteHeader() {
	mData[0]=(unsigned char)mDestination;
	WriteLength();
	mData[3]=(unsigned char)mSource;
	mData[4]=(unsigned char)mType;
}

void THISCLASS::WriteLength() {
	unsigned int len = (mWriteIndex-5) & 0x03FF;
	int checksum = (len & 0x1F) + ((len/32) &0x1F);
	if (checksum & 0x20) {checksum |= 0xC0;}
	len |= (unsigned int)((-checksum)&0x3F) * 1024;

	mData[1] = (char)((len & 0xff00) >> 8);
	mData[2] = (char)(len & 0xff);
	return;
}

void THISCLASS::WriteByte(unsigned char value) {
	mData[mWriteIndex++]=value;
}

void THISCLASS::WriteUnsignedInteger16(unsigned short int value) {
	unsigned char *buf;
	buf=(unsigned char*)&value;
	mData[mWriteIndex++]=buf[1];
	mData[mWriteIndex++]=buf[0];
}

void THISCLASS::WriteSignedInteger16(short int value) {
	unsigned char *buf;
	buf=(unsigned char*)&value;
	mData[mWriteIndex++]=buf[1];
	mData[mWriteIndex++]=buf[0];
}

void THISCLASS::WriteUnsignedInteger32(unsigned int value) {
	unsigned char *buf;
	buf=(unsigned char*)&value;
	mData[mWriteIndex++]=buf[3];
	mData[mWriteIndex++]=buf[2];
	mData[mWriteIndex++]=buf[1];
	mData[mWriteIndex++]=buf[0];
}

void THISCLASS::WriteSignedInteger32(int value) {
	unsigned char *buf;
	buf=(unsigned char*)&value;
	mData[mWriteIndex++]=buf[3];
	mData[mWriteIndex++]=buf[2];
	mData[mWriteIndex++]=buf[1];
	mData[mWriteIndex++]=buf[0];
}

void THISCLASS::WriteFloat(float value) {
	unsigned char *buf;
	buf=(unsigned char*)&value;
	mData[mWriteIndex++]=buf[3];
	mData[mWriteIndex++]=buf[2];
	mData[mWriteIndex++]=buf[1];
	mData[mWriteIndex++]=buf[0];
}

void THISCLASS::WriteBool(bool value) {
	mData[mWriteIndex++]=(value ? 0xff : 0x00);
}

void THISCLASS::WriteCRC() {
	unsigned int crc=CalcCRC();
	unsigned char *buf;
	buf=(unsigned char*)&crc;
	mData[mWriteIndex]=buf[1];
	mData[mWriteIndex+1]=buf[0];
}
