//! The MIP warning codes.
enum eWarning {
	sWarnNone=0,		//!< No warning

	/* syntax errors in commands */
	sWarnUnknown=100,	//!< Unknown command
	sWarnSyntax=110,	//!< Syntax error
	sWarnLine=120,		//!< Command line too long
	sWarnRange=130,		//!< Value out of range
	sWarnDef=140,		//!< Parameters not fully defined
	
	/* runtime warnings */
	sWarnError=150,		//!< Error not cleared
	sWarnForbid=160,	//!< Command not allowed at the moment
	sWarnNomove=170,	//!< Motion not started
	sWarnUplimit=171,	//!< Target position out of bonds
	sWarnLolimit=172,	//!< Target position out of bonds
	sWarnUnreachable=173,	//!< Position cannot be reached
	sWarnTimeout=174,	//!< Requested action took to much time
	sWarnPosregoff=180,	//!< Pos. Regulation is switched off
	sWarnCurregoff=181,	//!< Cur. Regulation is switched off
	sWarnAmpdisab=182,	//!< Power stage is disabled
	sWarnStop=183,		//!< STOP still activated
	sWarnLeft=184,		//!< LEFT still activated
	sWarnRight=185,		//!< RIGHT still activated
	sWarnReset=186,		//!< RESET is required
	sWarnHardwareReset=187,	//!< hardware RESET is required
	sWarnFlash=200		//!< Problem with flash
};
