#include <termios.h>

#ifndef CMSPAR
#define CMSPAR         010000000000          /* mark or space (stick) parity */
#endif

// This selects the method to use to emulate MARK/SPACE parity.
//  - With USE_CMSPAR set to 1, the CMSPAR flag is used. If it is supported by
//    the kernel and the serial port driver, this is the recommended option.
//  - With USE_CMSPAR set to 0, MARK/SPACE parity is emulated with EVEN/ODD
//    parity. Use this method if CMSPAR doesn't work.
// Both methods are implemented in MipBus.cpp.

#define USE_CMSPAR 1

